
package se.vgregion.mobile.hriv.kivws;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Transaction complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Transaction">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="attrName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="changeType" type="{http://constants.ws.vgregion.se}ChangeType" minOccurs="0"/>
 *         &lt;element name="event" type="{http://constants.ws.vgregion.se}Event" minOccurs="0"/>
 *         &lt;element name="objectDN" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="timestamp" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="value" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="valueB" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Transaction", namespace = "http://objects.ws.vgregion.se", propOrder = {
    "attrName",
    "changeType",
    "event",
    "objectDN",
    "timestamp",
    "value",
    "valueB"
})
public class Transaction {

    @XmlElementRef(name = "attrName", namespace = "http://objects.ws.vgregion.se", type = JAXBElement.class)
    protected JAXBElement<String> attrName;
    @XmlElementRef(name = "changeType", namespace = "http://objects.ws.vgregion.se", type = JAXBElement.class)
    protected JAXBElement<ChangeType> changeType;
    @XmlElementRef(name = "event", namespace = "http://objects.ws.vgregion.se", type = JAXBElement.class)
    protected JAXBElement<Event> event;
    @XmlElementRef(name = "objectDN", namespace = "http://objects.ws.vgregion.se", type = JAXBElement.class)
    protected JAXBElement<String> objectDN;
    @XmlElementRef(name = "timestamp", namespace = "http://objects.ws.vgregion.se", type = JAXBElement.class)
    protected JAXBElement<String> timestamp;
    @XmlElementRef(name = "value", namespace = "http://objects.ws.vgregion.se", type = JAXBElement.class)
    protected JAXBElement<String> value;
    @XmlElementRef(name = "valueB", namespace = "http://objects.ws.vgregion.se", type = JAXBElement.class)
    protected JAXBElement<String> valueB;

    /**
     * Gets the value of the attrName property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getAttrName() {
        return attrName;
    }

    /**
     * Sets the value of the attrName property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setAttrName(JAXBElement<String> value) {
        this.attrName = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the changeType property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link ChangeType }{@code >}
     *     
     */
    public JAXBElement<ChangeType> getChangeType() {
        return changeType;
    }

    /**
     * Sets the value of the changeType property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link ChangeType }{@code >}
     *     
     */
    public void setChangeType(JAXBElement<ChangeType> value) {
        this.changeType = ((JAXBElement<ChangeType> ) value);
    }

    /**
     * Gets the value of the event property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link Event }{@code >}
     *     
     */
    public JAXBElement<Event> getEvent() {
        return event;
    }

    /**
     * Sets the value of the event property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link Event }{@code >}
     *     
     */
    public void setEvent(JAXBElement<Event> value) {
        this.event = ((JAXBElement<Event> ) value);
    }

    /**
     * Gets the value of the objectDN property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getObjectDN() {
        return objectDN;
    }

    /**
     * Sets the value of the objectDN property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setObjectDN(JAXBElement<String> value) {
        this.objectDN = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the timestamp property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getTimestamp() {
        return timestamp;
    }

    /**
     * Sets the value of the timestamp property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setTimestamp(JAXBElement<String> value) {
        this.timestamp = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the value property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getValue() {
        return value;
    }

    /**
     * Sets the value of the value property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setValue(JAXBElement<String> value) {
        this.value = ((JAXBElement<String> ) value);
    }

    /**
     * Gets the value of the valueB property.
     * 
     * @return
     *     possible object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public JAXBElement<String> getValueB() {
        return valueB;
    }

    /**
     * Sets the value of the valueB property.
     * 
     * @param value
     *     allowed object is
     *     {@link JAXBElement }{@code <}{@link String }{@code >}
     *     
     */
    public void setValueB(JAXBElement<String> value) {
        this.valueB = ((JAXBElement<String> ) value);
    }

}
